diff --git a/modules/dialog/dlg_cb.h b/modules/dialog/dlg_cb.h
index 097a752976..c8858fcaef 100644
--- a/modules/dialog/dlg_cb.h
+++ b/modules/dialog/dlg_cb.h
@@ -124,7 +124,7 @@ typedef int (*register_dlgcb_f)(struct dlg_cell* dlg, int cb_types,
  *                care of generating proper BYEs for each participant)
  * Registration:  per-dialog, "dlg" must be given
  * Trigger count: 0 - 1 times per dialog, exclusive with DLGCB_EXPIRED, and one
- *                of these two will always be called for a dialog
+ *                of these two will always be called for an established dialog
  */
 #define DLGCB_TERMINATED      (1<<5)
 
@@ -137,7 +137,8 @@ typedef int (*register_dlgcb_f)(struct dlg_cell* dlg, int cb_types,
  * Registration:  per-dialog, "dlg" must be given
  * Trigger count:
  *                * 0 - 1 times per dialog, exclusive with DLGCB_TERMINATED,
- *                  and one of these two will always be called for a dialog
+ *                  and one of these two will always be called for an
+ *                  established dialog
  *
  *                * if using replication sharing tags, this callback is only
  *                  ran by the node that has the Active tag.
diff --git a/modules/fraud_detection/fraud_detection.c b/modules/fraud_detection/fraud_detection.c
index 9778dc3e3d..6e1d18f64b 100644
--- a/modules/fraud_detection/fraud_detection.c
+++ b/modules/fraud_detection/fraud_detection.c
@@ -430,7 +430,7 @@ static int check_fraud(struct sip_msg *msg, str *user, str *number, int *pid)
 		param->calldur_warn = thr->call_duration_thr.warning;
 		param->calldur_crit = thr->call_duration_thr.critical;
 
-		if (dlgb.register_dlgcb(dlgc, DLGCB_TERMINATED|DLGCB_FAILED|DLGCB_EXPIRED,
+		if (dlgb.register_dlgcb(dlgc, DLGCB_DESTROY,
 					dialog_terminate_CB, param, free_dialog_CB_param) != 0) {
 			LM_ERR("failed to register dialog terminated callback\n");
 			shm_free(param->number.s);
